org.apache.myfaces.trinidad.context

## Enum RequestContext.TagExecution

- java.lang.Object
- - java.lang.Enum<RequestContext.TagExecution>
  - - org.apache.myfaces.trinidad.context.RequestContext.TagExecution

- All Implemented Interfaces:
    Serializable, Comparable<RequestContext.TagExecution>
  Enclosing class:
    RequestContext

      public static enum RequestContext.TagExecution
      extends Enum<RequestContext.TagExecution>

  See Also:
    `#isTagExecutionSkipped()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FULL` Tag execution will be run normally during this request
    `NONE` Tag execution will not be run during this request

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestContext.TagExecution` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RequestContext.TagExecution[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FULL

          public static final RequestContext.TagExecution FULL

      Tag execution will be run normally during this request

    - #### NONE

          public static final RequestContext.TagExecution NONE

      Tag execution will not be run during this request

  - ### Method Detail

    - #### values

          public static RequestContext.TagExecution[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RequestContext.TagExecution c : RequestContext.TagExecution.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RequestContext.TagExecution valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.